package lcsb.mapviewer.converter.model.sbgnml;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

import lcsb.mapviewer.converter.ConverterParams;
import lcsb.mapviewer.model.map.model.Model;
import lcsb.mapviewer.model.map.model.ModelComparator;

public class ParseNewtExtensionTest extends SbgnmlTestFunctions {

  @Test
  public void createModelTest() throws Exception {

    SbgnmlXmlConverter parser = new SbgnmlXmlConverter();

    Model model = parser.createModel(new ConverterParams().filename("testFiles/newt/annotation.nwt"));

    assertEquals(1, model.getElements().iterator().next().getMiriamData().size());

    Model model2 = serializeOverSbgn(model);

    assertEquals(0, new ModelComparator().compare(model, model2));
  }

}
